Subject: bug#6975: Emacs spinning in glib

From: Dan Nicolaescu <[email-masked]>
Date: Fri, 03 Sep 2010 11:55:06 -0400

Ken Raeburn <[email-masked]> writes:

> I use emacsclient fairly heavily with Emacs 23.2 at work; mostly for
> getting additional windows on the local display, but occasionally
> with a remote display as well when I log into my work machine from
> home.  I tried to do the latter today, and a blank window popped up,
> but then Emacs was spinning and not responding.

This is quite likely a very old bug in Gtk+ that gets reported here
from time to time.
Gtk+ does not properly support connecting/disconnecting to multiple
X11 displays.

http://bugzilla.gnome.org/show_bug.cgi?id=85715

IMHO for people that normally use multiple displays and emacsclient
the best is to use the Lucid toolkit, otherwise you'll hit this
problem from time to time.